Bug 122800 - [Maintainer Update] games/crafty - bump version
Summary: [Maintainer Update] games/crafty - bump version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-15 20:00 UTC by shoemaker
Modified: 2008-04-25 16:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shoemaker 2008-04-15 20:00:06 UTC
	Bump to latest version of crafty.  Add files for html
	annotations, sound for move announcements, etc.

Fix: 

----------------------------------------------------------------------
Get a free email address with REAL anti-spam protection.
http://www.bluebottle.com/tag/1--F2UBzSvEpooPts5oL6k63HuSpSLuWOsLspp8viUHbjfXsOb8
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -urN crafty-old/Makefile crafty/Makefile
--- crafty-old/Makefile	2007-09-29 08:46:14.000000000 -0600
+++ crafty/Makefile	2008-04-15 11:52:29.000000000 -0600
@@ -6,12 +6,13 @@
 #
 
 PORTNAME=	crafty
-PORTVERSION=	20.14
-PORTREVISION=	2
+PORTVERSION=	22.0
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	ftp://ftp.cis.uab.edu/pub/hyatt/pgn/:data \
 		ftp://ftp.cis.uab.edu/pub/hyatt/documentation/:doc \
-		ftp://ftp.cis.uab.edu/pub/hyatt/source/:src
+		ftp://ftp.cis.uab.edu/pub/hyatt/source/:src \
+		ftp://ftp.cis.uab.edu/pub/hyatt/book/:utils
 DISTFILES=	crafty-${PORTVERSION}.zip:src \
 		start.pgn:data
 DIST_SUBDIR=	crafty
@@ -26,6 +27,8 @@
 .if !defined(NOPORTDOCS)
 DOCFILES=	crafty.doc.ascii crafty.doc.ps
 DISTFILES+=	${DOCFILES:S/$/:doc/}
+UTILS=		bitmaps.tgz sound.zip
+DISTFILES+=	${UTILS:S/$/:utils/}
 .endif
 
 ALL_TARGET=	freebsd
@@ -45,7 +48,7 @@
 .if !defined(WITH_PERSDIR)
 WITH_PERSDIR=	${PREFIX}/lib/crafty/cpf
 .endif
-OPT=		-DHASHSTATS -DTRACE -DBOOKDIR=\\\"${WITH_BOOKDIR}\\\" \
+OPT=		-DCPUS=4 -DHASHSTATS -DTRACE -DBOOKDIR=\\\"${WITH_BOOKDIR}\\\" \
 		-DLOGDIR=\\\"${WITH_LOGDIR}\\\" \
 	       	-DRCDIR=\\\"${WITH_RCDIR}\\\" \
 		-DTBDIR=\\\"${WITH_TBDIR}\\\" \
@@ -84,6 +87,7 @@
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
 	cd ${DISTDIR}/${DIST_SUBDIR} && ${INSTALL_DATA} ${DOCFILES} ${DOCSDIR}
+	cd ${DISTDIR}/${DIST_SUBDIR} && ${INSTALL_DATA} ${UTILS} ${DOCSDIR}
 .endif
 
 post-install:
diff -urN crafty-old/distinfo crafty/distinfo
--- crafty-old/distinfo	2007-09-09 19:11:53.000000000 -0600
+++ crafty/distinfo	2008-04-15 10:23:12.000000000 -0600
@@ -1,6 +1,6 @@
-MD5 (crafty/crafty-20.14.zip) = ab681d84fc2f01ce0789cf4f47c945f8
-SHA256 (crafty/crafty-20.14.zip) = 9e4b90bde9c156ad537d6228c678d39dcaf790a0603125ab37ed48fb4662a01a
-SIZE (crafty/crafty-20.14.zip) = 422894
+MD5 (crafty/crafty-22.0.zip) = da1890c572441dfd7687c392c4e897d0
+SHA256 (crafty/crafty-22.0.zip) = 05772b0a63a07dd5dafc307bcf41df41df0212209a22907244652422bb302fa6
+SIZE (crafty/crafty-22.0.zip) = 402797
 MD5 (crafty/start.pgn) = 98176af8ec13945a4ec60ad9b5959412
 SHA256 (crafty/start.pgn) = 750397385a67307bd3e565f7a86d69745476db5fed4735650af971cc94318021
 SIZE (crafty/start.pgn) = 1349
@@ -10,3 +10,9 @@
 MD5 (crafty/crafty.doc.ps) = 6cef69aa2f9ea1ceb74b6c14edc8291f
 SHA256 (crafty/crafty.doc.ps) = 887eb54de05f3371ef95adc38629a0f1f2cad66d1ca1b14fc426b87f5b13a9ab
 SIZE (crafty/crafty.doc.ps) = 141725
+MD5 (crafty/bitmaps.tgz) = aa6bf9eb050cc8a1afecbf7d8bfa3907
+SHA256 (crafty/bitmaps.tgz) = fd9279dadb5fa2d8ee77ef4245ef4d5cd51842b3029b1b3698c0b8ed724b0be6
+SIZE (crafty/bitmaps.tgz) = 27317
+MD5 (crafty/sound.zip) = ccf72dfe83be9d11c230c9825f763af8
+SHA256 (crafty/sound.zip) = a9cd8f9c4ebfb41a8a57056da2256c8c88d5fa21c3865f2aeea5bbe8cd2b4e24
+SIZE (crafty/sound.zip) = 737470
diff -urN crafty-old/pkg-descr crafty/pkg-descr
--- crafty-old/pkg-descr	1998-05-31 22:56:10.000000000 -0600
+++ crafty/pkg-descr	2008-04-15 12:13:21.000000000 -0600
@@ -1,7 +1,14 @@
-This is crafty - a chess programm which is not just able to play a
-game and tell you the best move but also can annotate PGN files.
+Crafty is a rapidly developing chess engine with more and more features being
+added regularly.  It can play, analyze, and even annotate games for you.  Crafty
+can utilize tablebases; these are available for freebsd in the related ports.
 
-The user interface is ASCII based.  For a graphical interface one can
-use xboard which interfaces very well with it.
+The files bitmaps.tgz and sound.tgz are available in your doc directory,
+usually /usr/local/share/doc/crafty.  The bitmaps are for html annotations
+performed by crafty - they should be unpacked into the directory you normally
+analyze games into, and all should be fine...
 
-- Stefan Eggers <seggers@semyam.dinoco.de>
+The sounds are for move announcements.  Unpack the archive somewhere,
+and have a look at the 'speak' script to customize for your use, if
+desired.
+
+// J Shoemaker
diff -urN crafty-old/pkg-message crafty/pkg-message
--- crafty-old/pkg-message	2007-09-09 19:12:45.000000000 -0600
+++ crafty/pkg-message	2008-04-15 11:59:30.000000000 -0600
@@ -1,7 +1,21 @@
 
-This package is set to allow per-user config files, and a shared
-books directory.  To accomplish this, crafty is setuid nobody, and
-the books and learning information is owned by the user 'nobody.'
+This package is set to allow per-user config files, and a shared books
+directory.  To accomplish this, crafty is setgid nobody, and the books
+and learning information are owned by the user 'nobody.'
 
 The location values are tunable, see message when make is issued.
 
+		** IMPORTANT **
+
+IF YOU ARE UPGRADING TO THIS VERSION, YOU WILL NEED TO DE-INSTALL ANY
+OPENING BOOKS YOU HAVE AS THE FORMATS HAVE CHANGED.  SIMPLY UNINSTALL
+AND REBUILD FROM THE PORT (NOT PACKAGE) AND THEY'LL BE REBUILT BY THE
+ENGINE IN THE NEW FORMAT.
+
+If you have an SMP system, add a line to your ~/.craftyrc file to the
+effect:
+
+smpmt=2 (or however many cpus you have)
+
+Do not set this higher than you really have, or performance will
+actually drop.
Comment 1 shoemaker 2008-04-15 20:15:29 UTC
Please also add this one, as I neglected to modify the pkg-plist to
account for the new files added...

--- crafty-old/pkg-plist	2007-09-24 23:51:24.000000000 -0600
+++ crafty/pkg-plist	2008-04-15 13:12:36.000000000 -0600
@@ -6,6 +6,8 @@
 lib/crafty/position.lrn
 share/doc/crafty/crafty.doc.ascii
 share/doc/crafty/crafty.doc.ps
+share/doc/crafty/bitmaps.tgz
+share/doc/crafty/sound.zip
 @dirrm share/doc/crafty
 @dirrm lib/crafty/cpf
 @dirrm lib/crafty

----------------------------------------------------------------------
Get a free email address with REAL anti-spam protection.
http://www.bluebottle.com/tag/1
Comment 2 shoemaker 2008-04-16 14:52:46 UTC
For some reason, I had thought the learn data would be backward
compatible, but it appears not, and so the learn files will have to be
removed from the port altogether.
 
So, ignore previous diffs, please, and apply this one.

diff -urN crafty-old/Makefile crafty/Makefile
--- crafty-old/Makefile	2007-09-29 08:46:14.000000000 -0600
+++ crafty/Makefile	2008-04-16 01:46:42.000000000 -0600
@@ -6,12 +6,13 @@
 #
 
 PORTNAME=	crafty
-PORTVERSION=	20.14
-PORTREVISION=	2
+PORTVERSION=	22.0
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	ftp://ftp.cis.uab.edu/pub/hyatt/pgn/:data \
 		ftp://ftp.cis.uab.edu/pub/hyatt/documentation/:doc \
-		ftp://ftp.cis.uab.edu/pub/hyatt/source/:src
+		ftp://ftp.cis.uab.edu/pub/hyatt/source/:src \
+		ftp://ftp.cis.uab.edu/pub/hyatt/book/:utils
 DISTFILES=	crafty-${PORTVERSION}.zip:src \
 		start.pgn:data
 DIST_SUBDIR=	crafty
@@ -26,6 +27,8 @@
 .if !defined(NOPORTDOCS)
 DOCFILES=	crafty.doc.ascii crafty.doc.ps
 DISTFILES+=	${DOCFILES:S/$/:doc/}
+UTILS=		bitmaps.tgz sound.zip
+DISTFILES+=	${UTILS:S/$/:utils/}
 .endif
 
 ALL_TARGET=	freebsd
@@ -45,7 +48,7 @@
 .if !defined(WITH_PERSDIR)
 WITH_PERSDIR=	${PREFIX}/lib/crafty/cpf
 .endif
-OPT=		-DHASHSTATS -DTRACE -DBOOKDIR=\\\"${WITH_BOOKDIR}\\\" \
+OPT=		-DCPUS=4 -DHASHSTATS -DTRACE -DBOOKDIR=\\\"${WITH_BOOKDIR}\\\" \
 		-DLOGDIR=\\\"${WITH_LOGDIR}\\\" \
 	       	-DRCDIR=\\\"${WITH_RCDIR}\\\" \
 		-DTBDIR=\\\"${WITH_TBDIR}\\\" \
@@ -73,17 +76,13 @@
 	${CHOWN} -R root:nogroup ${PREFIX}/lib/crafty
 	${CHMOD} 775 ${PREFIX}/lib/crafty ${PREFIX}/lib/crafty/cpf
 	${INSTALL_DATA} ${WRKSRC}/books.bin ${PREFIX}/lib/crafty/books.bin
-	${INSTALL_DATA} ${WRKSRC}/book.lrn ${PREFIX}/lib/crafty/book.lrn
-	${INSTALL_DATA} ${WRKSRC}/position.bin ${PREFIX}/lib/crafty/position.bin
-	${INSTALL_DATA} ${WRKSRC}/position.lrn ${PREFIX}/lib/crafty/position.lrn
 	${INSTALL_DATA} ${WRKSRC}/crafty.hlp ${PREFIX}/lib/crafty/crafty.hlp
 	${CHOWN} root:nogroup ${PREFIX}/lib/crafty/book*
-	${CHOWN} root:nogroup ${PREFIX}/lib/crafty/position*
 	${CHMOD} 664 ${PREFIX}/lib/crafty/book*
-	${CHMOD} 664 ${PREFIX}/lib/crafty/position*
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
 	cd ${DISTDIR}/${DIST_SUBDIR} && ${INSTALL_DATA} ${DOCFILES} ${DOCSDIR}
+	cd ${DISTDIR}/${DIST_SUBDIR} && ${INSTALL_DATA} ${UTILS} ${DOCSDIR}
 .endif
 
 post-install:
diff -urN crafty-old/distinfo crafty/distinfo
--- crafty-old/distinfo	2007-09-09 19:11:53.000000000 -0600
+++ crafty/distinfo	2008-04-15 10:23:12.000000000 -0600
@@ -1,6 +1,6 @@
-MD5 (crafty/crafty-20.14.zip) = ab681d84fc2f01ce0789cf4f47c945f8
-SHA256 (crafty/crafty-20.14.zip) = 9e4b90bde9c156ad537d6228c678d39dcaf790a0603125ab37ed48fb4662a01a
-SIZE (crafty/crafty-20.14.zip) = 422894
+MD5 (crafty/crafty-22.0.zip) = da1890c572441dfd7687c392c4e897d0
+SHA256 (crafty/crafty-22.0.zip) = 05772b0a63a07dd5dafc307bcf41df41df0212209a22907244652422bb302fa6
+SIZE (crafty/crafty-22.0.zip) = 402797
 MD5 (crafty/start.pgn) = 98176af8ec13945a4ec60ad9b5959412
 SHA256 (crafty/start.pgn) = 750397385a67307bd3e565f7a86d69745476db5fed4735650af971cc94318021
 SIZE (crafty/start.pgn) = 1349
@@ -10,3 +10,9 @@
 MD5 (crafty/crafty.doc.ps) = 6cef69aa2f9ea1ceb74b6c14edc8291f
 SHA256 (crafty/crafty.doc.ps) = 887eb54de05f3371ef95adc38629a0f1f2cad66d1ca1b14fc426b87f5b13a9ab
 SIZE (crafty/crafty.doc.ps) = 141725
+MD5 (crafty/bitmaps.tgz) = aa6bf9eb050cc8a1afecbf7d8bfa3907
+SHA256 (crafty/bitmaps.tgz) = fd9279dadb5fa2d8ee77ef4245ef4d5cd51842b3029b1b3698c0b8ed724b0be6
+SIZE (crafty/bitmaps.tgz) = 27317
+MD5 (crafty/sound.zip) = ccf72dfe83be9d11c230c9825f763af8
+SHA256 (crafty/sound.zip) = a9cd8f9c4ebfb41a8a57056da2256c8c88d5fa21c3865f2aeea5bbe8cd2b4e24
+SIZE (crafty/sound.zip) = 737470
diff -urN crafty-old/pkg-descr crafty/pkg-descr
--- crafty-old/pkg-descr	1998-05-31 22:56:10.000000000 -0600
+++ crafty/pkg-descr	2008-04-15 12:13:21.000000000 -0600
@@ -1,7 +1,14 @@
-This is crafty - a chess programm which is not just able to play a
-game and tell you the best move but also can annotate PGN files.
+Crafty is a rapidly developing chess engine with more and more features being
+added regularly.  It can play, analyze, and even annotate games for you.  Crafty
+can utilize tablebases; these are available for freebsd in the related ports.
 
-The user interface is ASCII based.  For a graphical interface one can
-use xboard which interfaces very well with it.
+The files bitmaps.tgz and sound.tgz are available in your doc directory,
+usually /usr/local/share/doc/crafty.  The bitmaps are for html annotations
+performed by crafty - they should be unpacked into the directory you normally
+analyze games into, and all should be fine...
 
-- Stefan Eggers <seggers@semyam.dinoco.de>
+The sounds are for move announcements.  Unpack the archive somewhere,
+and have a look at the 'speak' script to customize for your use, if
+desired.
+
+// J Shoemaker
diff -urN crafty-old/pkg-message crafty/pkg-message
--- crafty-old/pkg-message	2007-09-09 19:12:45.000000000 -0600
+++ crafty/pkg-message	2008-04-15 11:59:30.000000000 -0600
@@ -1,7 +1,21 @@
 
-This package is set to allow per-user config files, and a shared
-books directory.  To accomplish this, crafty is setuid nobody, and
-the books and learning information is owned by the user 'nobody.'
+This package is set to allow per-user config files, and a shared books
+directory.  To accomplish this, crafty is setgid nobody, and the books
+and learning information are owned by the user 'nobody.'
 
 The location values are tunable, see message when make is issued.
 
+		** IMPORTANT **
+
+IF YOU ARE UPGRADING TO THIS VERSION, YOU WILL NEED TO DE-INSTALL ANY
+OPENING BOOKS YOU HAVE AS THE FORMATS HAVE CHANGED.  SIMPLY UNINSTALL
+AND REBUILD FROM THE PORT (NOT PACKAGE) AND THEY'LL BE REBUILT BY THE
+ENGINE IN THE NEW FORMAT.
+
+If you have an SMP system, add a line to your ~/.craftyrc file to the
+effect:
+
+smpmt=2 (or however many cpus you have)
+
+Do not set this higher than you really have, or performance will
+actually drop.
diff -urN crafty-old/pkg-plist crafty/pkg-plist
--- crafty-old/pkg-plist	2007-09-24 23:51:24.000000000 -0600
+++ crafty/pkg-plist	2008-04-16 01:55:18.000000000 -0600
@@ -1,11 +1,10 @@
 bin/crafty
-lib/crafty/book.lrn
 lib/crafty/books.bin
 lib/crafty/crafty.hlp
-lib/crafty/position.bin
-lib/crafty/position.lrn
 share/doc/crafty/crafty.doc.ascii
 share/doc/crafty/crafty.doc.ps
+share/doc/crafty/bitmaps.tgz
+share/doc/crafty/sound.zip
 @dirrm share/doc/crafty
 @dirrm lib/crafty/cpf
 @dirrm lib/crafty

----------------------------------------------------------------------
Find out how you can get spam free email.
http://www.bluebottle.com/tag/3
Comment 3 Pav Lucistnik freebsd_committer 2008-04-25 16:15:11 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2008-04-25 16:24:37 UTC
pav         2008-04-25 15:24:32 UTC

  FreeBSD ports repository

  Modified files:
    games/crafty         Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
  Log:
  - Update to 22.0
  
  PR:             ports/122800
  Submitted by:   Jonathan Shoemaker <shoemaker@bluebottle.com> (maintainer)
  
  Revision  Changes    Path
  1.39      +9 -11     ports/games/crafty/Makefile
  1.33      +9 -3      ports/games/crafty/distinfo
  1.2       +12 -5     ports/games/crafty/pkg-descr
  1.2       +17 -3     ports/games/crafty/pkg-message
  1.9       +2 -3      ports/games/crafty/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"